import 'package:flutter/material.dart';
import 'package:zhiying_comm/util/extension/color.dart';

class BrandAppBar extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return SliverAppBar(
      centerTitle: true,
      elevation: 0,
      floating: false,
      snap: false,
      pinned: true,
      leading: Navigator.canPop(context)
          ? IconButton(
              icon: Icon(
                Icons.arrow_back_ios,
                size: 12,
              ),
              onPressed: () {
                Navigator.pop(context);
              })
          : Container(),
      title: Text(
        "大牌秒杀",
        style: TextStyle(color: HexColor.fromHex("#FFFFFF")),
      ),
    );
  }
}
